package StructuralClass;

import java.util.ArrayList;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class ActionBarInfo extends JceStruct {
    public Action action;
    public String bgColor;
    public String bgColorForSelected;
    static Action cache_action;
    static ArrayList cache_markLabelList;
    public String imgUrl;
    public String imgUrlForSelected;
    public ArrayList markLabelList;
    public String subTitle;
    public String textColor;
    public String textColorForSelected;
    public String title;
    public String titleForSelected;

    static {
        ActionBarInfo.cache_action = new Action();
        ActionBarInfo.cache_markLabelList = new ArrayList();
        ActionBarInfo.cache_markLabelList.add(new MarkLabel());
    }

    public ActionBarInfo() {
        super();
        this.title = "";
        this.bgColor = "";
        this.action = null;
        this.imgUrl = "";
        this.textColor = "";
        this.markLabelList = null;
        this.subTitle = "";
        this.titleForSelected = "";
        this.bgColorForSelected = "";
        this.imgUrlForSelected = "";
        this.textColorForSelected = "";
    }

    public ActionBarInfo(String arg3, String arg4, Action arg5, String arg6, String arg7, ArrayList arg8, String arg9, String arg10, String arg11, String arg12, String arg13) {
        super();
        this.title = "";
        this.bgColor = "";
        this.action = null;
        this.imgUrl = "";
        this.textColor = "";
        this.markLabelList = null;
        this.subTitle = "";
        this.titleForSelected = "";
        this.bgColorForSelected = "";
        this.imgUrlForSelected = "";
        this.textColorForSelected = "";
        this.title = arg3;
        this.bgColor = arg4;
        this.action = arg5;
        this.imgUrl = arg6;
        this.textColor = arg7;
        this.markLabelList = arg8;
        this.subTitle = arg9;
        this.titleForSelected = arg10;
        this.bgColorForSelected = arg11;
        this.imgUrlForSelected = arg12;
        this.textColorForSelected = arg13;
    }

    public final void readFrom(c arg4) {
        this.title = arg4.b(0, true);
        this.bgColor = arg4.b(1, false);
        this.action = (Action) arg4.a(ActionBarInfo.cache_action, 2, false);
        this.imgUrl = arg4.b(3, false);
        this.textColor = arg4.b(4, false);
        this.markLabelList = (ArrayList) arg4.a(ActionBarInfo.cache_markLabelList, 5, false);
        this.subTitle = arg4.b(6, false);
        this.titleForSelected = arg4.b(7, false);
        this.bgColorForSelected = arg4.b(8, false);
        this.imgUrlForSelected = arg4.b(9, false);
        this.textColorForSelected = arg4.b(10, false);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.title, 0);
        if(this.bgColor != null) {
            arg3.a(this.bgColor, 1);
        }

        if(this.action != null) {
            arg3.a(this.action, 2);
        }

        if(this.imgUrl != null) {
            arg3.a(this.imgUrl, 3);
        }

        if(this.textColor != null) {
            arg3.a(this.textColor, 4);
        }

        if(this.markLabelList != null) {
            arg3.a(this.markLabelList, 5);
        }

        if(this.subTitle != null) {
            arg3.a(this.subTitle, 6);
        }

        if(this.titleForSelected != null) {
            arg3.a(this.titleForSelected, 7);
        }

        if(this.bgColorForSelected != null) {
            arg3.a(this.bgColorForSelected, 8);
        }

        if(this.imgUrlForSelected != null) {
            arg3.a(this.imgUrlForSelected, 9);
        }

        if(this.textColorForSelected != null) {
            arg3.a(this.textColorForSelected, 10);
        }
    }

}
